OMNIMAPPER(8)

NAME
omniMapper - Simple proxy for CORBA naming service from omniORB

SYNOPSIS
omniMapper [options]

DESCRIPTION
This manual page documents briefly the omniMapper command.

omniMapper is a simple daemon which listens on port 2809 (or any other port) and redirects IIOP requets for configured object keys to associated persistent IORs. It can be used to make a naming service (even an old non-INS aware version of omniNames or other ORB's naming service) appear on port 2809 with the object key NameService. The same goes for any other service you may wish to specify, such as an interace repository.

OPTIONS
A summary of options is included below. For a complete description, see the HTML pages included in the omniorb4-doc package.

-port port
    This allows you to choose a port other than 2809 to listen on.

-config config_file
    This specifies a location for the configuration file. The default name is /etc/omniMapper.cfg.

-v  omniMapper does not normally print anything; this option makes it verbose so it prints configuration information and a record of the redirections it makes to standard output.

CONFIGURATION FILE
The configuration file is very simple. Each line contains a string to be used as an object key, some white space and an IOR (or any valid URI) that it will redirect that object key to. Comments should be prefixed with a # character. For example:
    # Example omniMapper.cfg
    NameService IOR:000f...
    InterfaceRepository IOR:0100...

SEE ALSO
omniNames(8).
The programs are documented fully by the HTML documentation in the omniorb4-doc package.

AUTHOR
omniMapper was written by Duncan Grisby <duncan@grisby.org>

This manual page was written by Floris Bruynooghe <floris.bruynooghe@gmail.com>, for the Debian project (but may be used by others).